org.apache.uima.cas.impl

## Class FSIteratorWrapperDoubleCheck<T extends FeatureStructure>

- java.lang.Object
- - org.apache.uima.cas.impl.FSIteratorImplBase<T>
  - - org.apache.uima.cas.impl.FSIteratorWrapperDoubleCheck<T>

- Type Parameters:
    `T` - -
  All Implemented Interfaces:
    Iterator<T>, FSIterator<T>

      public class FSIteratorWrapperDoubleCheck<T extends FeatureStructure>
      extends FSIteratorImplBase<T>

  Only used for debugging Takes two iterators, and compares them; returns the 1st, throws error if unequal

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FSIterator<T>` | `copy()` Copy this iterator.
    `T` | `get()` Get the structure the iterator is pointing at.
    `boolean` | `isValid()` Check if this iterator is valid.
    `void` | `moveTo(FeatureStructure fs)` Move the iterator to the first Feature Structure that is equal to `fs`.
    `void` | `moveToFirst()` Move the iterator to the first element.
    `void` | `moveToLast()` Move the iterator to the last element.
    `void` | `moveToNext()` Advance the iterator.
    `void` | `moveToPrevious()` Move the iterator one element back.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.uima.cas.impl.FSIteratorImplBase

      `hasNext, next, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### isValid

          public boolean isValid()

      Description copied from interface: `FSIterator`
      Check if this iterator is valid.
      Returns:
        `true` if the iterator is valid.
      See Also:
        `FSIterator.isValid()`

    - #### get

          public T get()

      Description copied from interface: `FSIterator`
      Get the structure the iterator is pointing at.
      Returns:
        The structure the iterator is pointing at.
      See Also:
        `FSIterator.get()`

    - #### moveToNext

          public void moveToNext()

      Description copied from interface: `FSIterator`
      Advance the iterator. This may invalidate the iterator.
      See Also:
        `FSIterator.moveToNext()`

    - #### moveToPrevious

          public void moveToPrevious()

      Description copied from interface: `FSIterator`
      Move the iterator one element back. This may invalidate the iterator.
      See Also:
        `FSIterator.moveToPrevious()`

    - #### moveToFirst

          public void moveToFirst()

      Description copied from interface: `FSIterator`
      Move the iterator to the first element. The iterator will be valid iff the underlying collection is non-empty. Allowed even if the underlying indexes being iterated over were modified.
      See Also:
        `FSIterator.moveToFirst()`

    - #### moveToLast

          public void moveToLast()

      Description copied from interface: `FSIterator`
      Move the iterator to the last element. The iterator will be valid iff the underlying collection is non-empty. Allowed even if the underlying indexes being iterated over were modified.
      See Also:
        `FSIterator.moveToLast()`

    - #### copy

          public FSIterator<T> copy()

      Description copied from interface: `FSIterator`
      Copy this iterator.
      Returns:
        A copy of this iterator, pointing at the same element.
      See Also:
        `FSIterator.copy()`

    - #### moveTo

          public void moveTo(FeatureStructure fs)

      Description copied from interface: `FSIterator`
      Move the iterator to the first Feature Structure that is equal to `fs`. First means the earliest one occurring in the index, in case multiple FSs that are "equal" to fs are in the index. If no such feature structure exists in the underlying collection, set the iterator to the "insertion point" for `fs`, i.e., to a point where the current feature structure is greater than `fs`, and the previous one is less than `fs`.

      If the fs is greater than all of the entries in the index, the moveTo cannot set the iterator to an insertion point where the current feature structure is greater than fs, so it marks the iterator "invalid".

      If the underlying index is a bag index, no ordering is present, and the moveTo operation moves to the fs which is the same identical fs as the key. If no such fs is in the index, the iterator is marked invalid.

      Parameters:
        `fs` - The feature structure the iterator that supplies the comparison information. It must be of type T or a subtype of T.
      See Also:
        `FSIterator.moveTo(FeatureStructure)`

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.